import { get, post } from "@/http/http.js"

/**
 * 微信登录
 */
export function api_wechatLoginEncrypt(data){
  return post("/auth/wechatLoginEncrypt", data);
}

/**
 * 微信登录2
 */
export function api_wechatAuth(data){
  return post("/auth/wechatAuth", data);
}

/**
 * 绑定工号
 */
export function api_bindAccount(data){
  return post("/auth/bindAccount", data);
}

/**
 * 获取系统名称
 */
export function api_getSysNameAndLogo(data){
  return get("/auth/getSysNameAndLogo");
}

/**
 * 获取字典列表
 */
export function api_getDictionary(data){
  return post("/common/common/getDictionary", data);
}

/**
 * 获取事件列表
 */
export function api_incident(data){
  return post("/user/data/fetchDataList/incident", data);
}

/**
 * 获取事件列表-数量
 */
export function api_incident_count(data){
  return post("/flow/incident/list/count", data);
}

/**
 * 获取楼栋列表
 */
export function api_area(data){
  return post("/user/data/fetchDataList/area", data);
}

/**
 * 获取故障现象列表
 */
export function api_incidentcategory(data){
  return post("/bpm/data/fetchDataList/incidentcategory", data);
}